Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class DataCollectionRowModelAdapter

    java.lang.Object
      com.beanexplorer.swing.table.AbstractRowModel
          ru.biosoft.access.support.DataCollectionRowModelAdapter

All Implemented Interfaces:
  DataCollectionListener, java.util.EventListener, com.beanexplorer.swing.table.RowModel

public class DataCollectionRowModelAdapter
extends com.beanexplorer.swing.table.AbstractRowModel
implements DataCollectionListener

Field Summary
`protected static org.apache.log4j.Category` | `cat`

Constructor Summary
`DataCollectionRowModelAdapter(DataCollection dc)`

Method Summary
`void` | `cleanup()`
`void` | `elementAdded(DataCollectionEvent e)` Called after data element was added.
`void` | `elementChanged(DataCollectionEvent e)` Called after data element was changed.
`void` | `elementRemoved(DataCollectionEvent e)` Called after data element was removed.
`void` | `elementWillAdd(DataCollectionEvent e)` Called before data element will be added.
`void` | `elementWillChange(DataCollectionEvent e)` Called before data element will be changed.
`void` | `elementWillRemove(DataCollectionEvent e)` Called before data element will be removed.
`java.lang.Object` | `getBean(int index)` Returns a bean at the index.
`void` | `registerListener()`
`int` | `size()` Returns a number of beans in the model.
`void` | `unregisterListener()`

Methods inherited from class com.beanexplorer.swing.table.AbstractRowModel
`addRowModelListener, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, getBeanClass, getListeners, removeRowModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cat

    protected static org.apache.log4j.Category cat

Constructor Detail

### DataCollectionRowModelAdapter

    public DataCollectionRowModelAdapter(DataCollection dc)

Method Detail

### registerListener

    public void registerListener()

### unregisterListener

    public void unregisterListener()

### getBean

    public java.lang.Object getBean(int index)

  Returns a bean at the index.

  Specified by:
    `getBean` in interface `com.beanexplorer.swing.table.RowModel`

### size

    public int size()

  Returns a number of beans in the model. A `TabularPropertyInspector` uses this method to determine how many rows it should display. This method should be quick, as it is called frequently during rendering.

  Specified by:
    `size` in interface `com.beanexplorer.swing.table.RowModel`

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent e)
                           throws DataCollectionVetoException,
                                  java.lang.Exception

  Called before data element will be removed.

  Specified by:
    `elementWillRemove` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about will removed data element.
  Throws:
    `DataCollectionVetoException` - If listener cancel removing of data element.
    `java.lang.Exception` - If error occured.

### elementAdded

    public void elementAdded(DataCollectionEvent e)
                      throws java.lang.Exception

  Called after data element was added.

  Specified by:
    `elementAdded` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about added data element.
  Throws:
    `java.lang.Exception` - If error occured.

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent e)
                        throws DataCollectionVetoException,
                               java.lang.Exception

  Called before data element will be added.

  Specified by:
    `elementWillAdd` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about will added data element.
  Throws:
    `DataCollectionVetoException` - If listener cancel adding of data element.
    `java.lang.Exception` - If error occured.

### elementChanged

    public void elementChanged(DataCollectionEvent e)
                        throws java.lang.Exception

  Called after data element was changed. `e` contains old data element (which already changed).

  Specified by:
    `elementChanged` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about changed data element.
  Throws:
    `java.lang.Exception` - If error occured.

### elementWillChange

    public void elementWillChange(DataCollectionEvent e)
                           throws DataCollectionVetoException,
                                  java.lang.Exception

  Called before data element will be changed. `e` contains old data element (which will be changed).

  Specified by:
    `elementWillChange` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about will change data element.
  Throws:
    `DataCollectionVetoException` - If listener cancel changing of data element.
    `java.lang.Exception` - If error occured.

### elementRemoved

    public void elementRemoved(DataCollectionEvent e)
                        throws java.lang.Exception

  Called after data element was removed.

  Specified by:
    `elementRemoved` in interface `DataCollectionListener`
  Parameters:
    `e` - DataCollectionEvent information about removed data element.
  Throws:
    `java.lang.Exception` - If error occured.

### cleanup

    public void cleanup()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.